<?php
	$full_image_url = wp_get_attachment_image_src( get_post_thumbnail_id(), 'full' );
	$full_image_url = $full_image_url[0];

	$gallery_images = educacion_mascot_get_rwmb_group_advanced( 'educacion_mascot_' . "pet_mb_gallery",  "gallery_images", null, false, 'all' );

	//if has no post thumbnail
	if( !has_post_thumbnail( get_the_ID() ) ) {
		if ( !empty( $gallery_images ) ) {
			$first_image_key = key($gallery_images);
			$full_image_url = $gallery_images[$first_image_key]['full_url'];
		} else {
			$full_image_url = "//placehold.it/1920x1080?text=Image Not Found!";
		}
	}
	$params['full_image_url'] = $full_image_url;
	$params['gallery_images'] = $gallery_images;
?>